Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers
Interface MouseDriver

All Known Implementing Classes:
  MouseEventDriver, MouseRobotDriver

public interface MouseDriver

Defines how to simulate mouse operations.

Method Summary
`void` | `clickMouse(ComponentOperator oper, int x, int y, int clickCount, int mouseButton, int modifiers, Timeout mouseClick)` Clicks mouse.
`void` | `dragMouse(ComponentOperator oper, int x, int y, int mouseButton, int modifiers)` Drags mouse.
`void` | `dragNDrop(ComponentOperator oper, int start_x, int start_y, int end_x, int end_y, int mouseButton, int modifiers, Timeout before, Timeout after)` Performs drag'n'drop.
`void` | `enterMouse(ComponentOperator oper)` Moves mouse inside a component.
`void` | `exitMouse(ComponentOperator oper)` Moves mouse outside a component.
`void` | `moveMouse(ComponentOperator oper, int x, int y)` Moves mouse.
`void` | `pressMouse(ComponentOperator oper, int x, int y, int mouseButton, int modifiers)` Presses mouse.
`void` | `releaseMouse(ComponentOperator oper, int x, int y, int mouseButton, int modifiers)` Releases mouse.

Method Detail

### pressMouse

    public void pressMouse(ComponentOperator oper,
                           int x,
                           int y,
                           int mouseButton,
                           int modifiers)

  Presses mouse.
  Parameters:
    `oper` - Component operator.
    `x` - Relative x coordinate.
    `y` - Relative y coordinate.
    `mouseButton` - mouse button (`InputEvent.BUTTON*_MASK` field)
    `modifiers` - a combination of `InputEvent.*_MASK` fields.

### releaseMouse

    public void releaseMouse(ComponentOperator oper,
                             int x,
                             int y,
                             int mouseButton,
                             int modifiers)

  Releases mouse.
  Parameters:
    `oper` - Component operator.
    `x` - Relative x coordinate.
    `y` - Relative y coordinate.
    `mouseButton` - mouse button (`InputEvent.BUTTON*_MASK` field)
    `modifiers` - a combination of `InputEvent.*_MASK` fields.

### clickMouse

    public void clickMouse(ComponentOperator oper,
                           int x,
                           int y,
                           int clickCount,
                           int mouseButton,
                           int modifiers,
                           Timeout mouseClick)

  Clicks mouse.
  Parameters:
    `oper` - Component operator.
    `x` - Relative x coordinate.
    `y` - Relative y coordinate.
    `clickCount` - How many times to click.
    `mouseButton` - mouse button (`InputEvent.BUTTON*_MASK` field)
    `modifiers` - a combination of `InputEvent.*_MASK` fields.
    `mouseClick` - Time between pressing and releasing mouse.

### moveMouse

    public void moveMouse(ComponentOperator oper,
                          int x,
                          int y)

  Moves mouse.
  Parameters:
    `oper` - Component operator.
    `x` - Relative x coordinate.
    `y` - Relative y coordinate.

### dragMouse

    public void dragMouse(ComponentOperator oper,
                          int x,
                          int y,
                          int mouseButton,
                          int modifiers)

  Drags mouse.
  Parameters:
    `oper` - Component operator.
    `x` - Relative x coordinate.
    `y` - Relative y coordinate.
    `mouseButton` - mouse button (`InputEvent.BUTTON*_MASK` field)
    `modifiers` - a combination of `InputEvent.*_MASK` fields.

### dragNDrop

    public void dragNDrop(ComponentOperator oper,
                          int start_x,
                          int start_y,
                          int end_x,
                          int end_y,
                          int mouseButton,
                          int modifiers,
                          Timeout before,
                          Timeout after)

  Performs drag'n'drop.
  Parameters:
    `oper` - Component operator.
    `start_x` - Relative x coordinate of start point.
    `start_y` - Relative y coordinate of start point.
    `end_x` - Relative x coordinate of end point.
    `end_y` - Relative y coordinate of end point.
    `mouseButton` - mouse button (`InputEvent.BUTTON*_MASK` field)
    `modifiers` - a combination of `InputEvent.*_MASK` fields.
    `before` - Time to sleep after taking (before dragging)
    `after` - Time to sleep before dropping (after dragging)

### enterMouse

    public void enterMouse(ComponentOperator oper)

  Moves mouse inside a component.
  Parameters:
    `oper` - Component operator.

### exitMouse

    public void exitMouse(ComponentOperator oper)

  Moves mouse outside a component.
  Parameters:
    `oper` - Component operator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD